<template>
	<div :class="[`article-card-container  article-card-container--${size}`,{'image-first' : version}]">
		<div class="article-card-container__article-content">
			<h6>{{article.title}}</h6>
			<p>{{article.description}}<a href="">+ Mehr</a></p>
		</div>
		<div :class="`article-card-container__media-container article-card-container__media-container--${mediaType}`">
			<img :src="article.thumbnail" alt="" v-if="mediaType=='image'">
			<div v-else class="video-container">
				<video :src="article.video" ref="video"></video>
				<div class="play-button" @click="toggleVideo"><i :class="['fas', isVideoPlaying ? 'fa-pause' : 'fa-play']"></i></div>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	props: {
		version: {
			type: Number,
			default: 0
		},
		article : {
			type: Object,
			required : true
		},
		mediaType: {
			type: String,
			default: 'image'
		},
		size: {
			type: String,
			default: 'small'
		}
	},
	data(){
		return {
			isVideoPlaying: false,
		}
	},
	methods: {
		toggleVideo(){
			if(this.isVideoPlaying){
				this.$refs.video.pause();
				this.isVideoPlaying=false;
			}else{
				this.$refs.video.play();
				this.isVideoPlaying=true;
			}
		}
	}
}
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00a290;

.article-card-container {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-items: center;
	max-width: 959px;
	margin: auto;
	margin-top: 27px;
	position: relative;
	box-sizing: border-box;

	 @media (max-width: 959px) {
		 max-width: min-content !important;
	 }


  @media(max-width: 1010px){
    padding: 0 20px;
  }
  

	&__media-container{
		height: 272px;
		width: 385px;
		border-radius: 4px;
		position: relative;
		box-shadow: 0px 5px 20px 0px #95c5c0;
		margin-bottom: 26px;
		display: flex;
		overflow: hidden;
	

	 @media (max-width: 959px) {
		 height: auto !important;
	 }

		img,
		video{
			width: 100%;
			height: 100%;
			object-fit: cover;
			border-radius: inherit;
			z-index: 10;
			position: relative;
		}
		

	h5.title{
    color: #48443E;
    font-family: "Brandon Grotesque";
    font-size: 12px;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0;
		margin-bottom: 11px;
  }	


		.video-container{
			width: 100%;
			height: 100%;
			position: relative;
			display: flex;
			.play-button{
				height: 88px;
				width: 88px;
				opacity: 0.69;
				background-color: $primary;
				position: absolute;
				border-radius: 50%;
				top: 0;
				bottom: 0;
				left: 0;
				right: 0;
				margin: auto;
				z-index: 10;
				display: flex;
				justify-content: center;
				align-items: center;
				color: #fff;
				font-size: 25px;
				cursor: pointer;

				.fa-play{
					margin-left: 6px;
				}
			}	
		}

		&--image{
			&:before{
				content: '';
				top: 10px;
				bottom: 10px;
				position: absolute;	
				border-radius: 4px;	
				background-color: #FFA17A;
				width: 100%;
				left: -15px;
			}
		}
	}

	&__article-content{
		max-width: 467px;	

		h6{
			height: 18px;	
			width: 205px;	
			color: #48443E;	
			font-family: "Brandon Grotesque";	
			font-size: 12px;	
			font-weight: 900;	
			line-height: 18px;
			text-transform: uppercase;
			margin: 8px 0;
		}
		
		p{
			font-family: Roboto;
			color: #48443E;	
			font-size: 16px;	
			line-height: 24px;
			margin: 0;
			margin-bottom: 26px;
		}

		a{
			text-decoration: none;
			color: $primary;
		}
	}
	
	&:before{
    content: '';
    position: absolute;
    background-color: #ECECEB;
    height: 1px;
    width: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
	}
	


	&--large{
		margin-top: 56px;
		padding-bottom: 30px;
		.article-card-container{
			&__article-content{
				max-width: 302px;
			}
			&__media-container{
				height: 379px;
				width: 550px;
				&::before{
					display: none;
				}
			}
		} 
	}
}	

.image-first{
	flex-direction: row-reverse;

	@media (max-width: 959px) {
		flex-direction: row !important;
	}
}

@media (max-width:900px) {
	.article-card-container{
		height: 380px;	
		max-width: 375px;

		&__media-container{
			height: auto;
	    box-shadow: 0px 5px 20px 0px #95c5c0;

			&:before{
				display: none;
			}
		}

		p{
			width: 100%;
			overflow: hidden;
      display: -webkit-box;
      -webkit-line-clamp: 3;
      -webkit-box-orient: vertical;
		}
	}
}

</style>
